package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 产品信息表(Product)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:40
 */

@ApiModel("产品信息表")
public class Product implements Serializable {
    private static final long serialVersionUID = -74758234125067445L;
    /**
     * ID
     */    
    @ApiModelProperty(value = "ID")
    private Integer id;
    /**
     * 产品名称
     */    
    @ApiModelProperty(value = "产品名称")
    private String productName;
    /**
     * 备注
     */    
    @ApiModelProperty(value = "备注")
    private String productRemark;
    /**
     * 价格
     */    
    @ApiModelProperty(value = "价格")
    private Double amount;
    /**
     * 许可天数
     */    
    @ApiModelProperty(value = "许可天数")
    private Integer days;
    /**
     * 是否删除
     */    
    @ApiModelProperty(value = "是否删除")
    private Integer isDeleted;
    /**
     * 创建时间
     */    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */    
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductRemark() {
        return productRemark;
    }

    public void setProductRemark(String productRemark) {
        this.productRemark = productRemark;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

